%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc %{!?_without_doc:1}%{?_without_doc:0}

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version:        9.3.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0:        https://tarballs.openstack.org/tripleo-validations/tripleo-validations-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-heatclient >= 1.10.0
BuildRequires:  python-glanceclient >= 2.9.1
BuildRequires:  python-ironicclient >= 2.3.0
Requires:       ansible >= 2
Requires:       python-pbr
Requires:       python-heatclient >= 1.10.0
Requires:       python-glanceclient >= 2.9.1
Requires:       python-ironicclient >= 2.3.0
Requires:       python-shade >= 1.24.0

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python-heatclient
BuildRequires:  python-swiftclient
BuildRequires:  python-novaclient
BuildRequires:  python-subunit
BuildRequires:  python-oslotest
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-netaddr
BuildRequires:  os-net-config
BuildRequires:  ansible >= 2
BuildRequires:  openstack-macros

Requires:       python-subunit
Requires:       python-oslotest
Requires:       python-oslo-config >= 2:5.2.0
Requires:       python-heatclient >= 1.10.0
Requires:       python-keystoneauth1 >= 3.4.0
Requires:       python-mistralclient >= 3.1.0
Requires:       python-novaclient >= 1:9.1.0
Requires:       python-ironicclient >= 2.3.0
Requires:       python-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python-testrepository
Requires:       python-testscenarios
Requires:       python-testtools
Requires:       python-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       ansible >= 2
Requires:       python-shade >= 1.24.0

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python-sphinx
BuildRequires:    python-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python} setup.py build

# docs generation
%if 0%{?with_doc}
%{__python} setup.py build_sphinx -b html
%endif

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python_sitelib}/tripleo_validations
%{python_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%exclude %{python_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Mon Aug 27 2018 RDO <dev@lists.rdoproject.org> 9.3.0-1
- Update to 9.3.0

